Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class HypothesisTest2MeanSigmaUnknown

    java.lang.Object
      org.statcato.statistics.inferential.HypothesisTest2MeanSigmaUnknown

    public class HypothesisTest2MeanSigmaUnknown

extends java.lang.Object

A hypothesis test for 2 population means (population standard deviations sigmas unknown).

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`HypothesisTest2MeanSigmaUnknown(int n1, int n2, double xBar1, double xBar2, double s1, double s2, double diff, double confidenceLevel, int testType, boolean varEqual)` Constructor.

Method Summary
`java.lang.String` | `criticalValue()` Returns the critical value corresponding to the given confidence level and type of test.
`int` | `DOF()` Returns the degree of freedom.
`double` | `pValue()` Returns the p-value.
`double` | `testStatistics()` Returns the test statistics.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HypothesisTest2MeanSigmaUnknown

    public HypothesisTest2MeanSigmaUnknown(int n1,
                                           int n2,
                                           double xBar1,
                                           double xBar2,
                                           double s1,
                                           double s2,
                                           double diff,
                                           double confidenceLevel,
                                           int testType,
                                           boolean varEqual)

  Constructor.

  Parameters:
    `n1` - sample size 1
    `n2` - sample size 2
    `xBar1` - sample mean 1
    `xBar2` - sample mean 2
    `s1` - sample standard deviation 1
    `s2` - sample standard deviation 2
    `diff` - hypothesized difference in population mean
    `confidenceLevel` - confidence level
    `testType` - type of test (as defined in `HypothesisTest`)
    `varEqual` - whether population variances are assumed equal

Method Detail

### testStatistics

    public double testStatistics()

  Returns the test statistics.

  Returns:
    test statistic t score

### DOF

    public int DOF()

  Returns the degree of freedom.

  Returns:
    degree of freedom

### criticalValue

    public java.lang.String criticalValue()

  Returns the critical value corresponding to the given confidence level and type of test. Uses the Student's t distribution.

  Returns:
    critical value
  See Also:
    `HypothesisTest`

### pValue

    public double pValue()

  Returns the p-value.

  Returns:
    p-value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD